[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# EAbstractError

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Abstract error.

## Declaration

Source position: sysutilh.inc line 144

`type EAbstractError = class(Exception) end;`

## Inheritance

`EAbstractError` |  | Abstract error.
`Exception` |  | Base class of all exceptions.
`TObject`

## Description

EAbstractError is raised when an abstract error occurs, i.e. when an unimplemented abstract method is called.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.